#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libgsf-1.14.47

- Next

  libgusb-0.3.5

- Up
- Home

# libgudev-234

## Introduction to libgudev

The libgudev package contains GObject bindings for libudev.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgudev/234/libgudev-234.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libgudev/234/libgudev-234.tar.xz

- Download MD5 sum: 386889d460003a4242a64cb47244a39a

- Download size: 268 KB

- Estimated disk space required: 4.1 MB

- Estimated build time: less than 0.1 SBU

#### Required

GLib-2.66.7

#### Optional

gobject-introspection-1.66.1 (for gir-data, needed for GNOME), GTK-Doc-1.33.2, and umockdev-0.15.4 (for testing)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libgudev

## Installation of libgudev

Install libgudev by running the following commands:

    ./configure --prefix=/usr --disable-umockdev &&
    make

If you wish to run the test suite, omit "--disable-umockdev" from the configure command and then issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

`--disable-umockdev`: Disables the usage of umockdev-0.15.4. Omit this switch if you wish to run the test suite.

## Contents

Installed Program: None
Installed Libraries: libgudev-1.0.so
Installed Directories: /usr/include/gudev-1.0 and /usr/share/gtk-doc/html/gudev

### Short Descriptions

`libgudev-1.0.so` | is a GObject-based wrapper library for libudev

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  libgsf-1.14.47

- Next

  libgusb-0.3.5

- Up
- Home